Bug 181197 - feLighting is broken with primitiveUnits="objectBoundingBox"
Summary: feLighting is broken with primitiveUnits="objectBoundingBox"
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on: 181147
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-30 22:08 PST by Simon Fraser (smfr)
Modified: 2018-01-03 13:57 PST (History)
9 users (show)

See Also:


Attachments
Testcase (421 bytes, image/svg+xml)
2017-12-30 22:08 PST, Simon Fraser (smfr)
no flags Details
Patch (24.05 KB, patch)
2018-01-01 09:32 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (2.42 MB, application/zip)
2018-01-01 10:29 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (2.76 MB, application/zip)
2018-01-01 10:43 PST, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.65 MB, application/zip)
2018-01-01 10:57 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-elcapitan (3.10 MB, application/zip)
2018-01-01 11:06 PST, Build Bot
no flags Details
Patch (24.03 KB, patch)
2018-01-01 12:48 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (2.43 MB, application/zip)
2018-01-01 13:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (2.85 MB, application/zip)
2018-01-01 13:58 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-elcapitan (3.12 MB, application/zip)
2018-01-01 14:08 PST, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.64 MB, application/zip)
2018-01-01 14:14 PST, Build Bot
no flags Details
Patch (24.09 KB, patch)
2018-01-03 11:42 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2017-12-30 22:08:09 PST
Created attachment 330266 [details]
Testcase

We never resolve light positions correctly with primitiveUnits="objectBoundingBox"
Comment 1 Simon Fraser (smfr) 2018-01-01 09:32:13 PST Comment hidden (obsolete)
Comment 2 Build Bot 2018-01-01 10:29:49 PST Comment hidden (obsolete)
Comment 3 Build Bot 2018-01-01 10:29:51 PST Comment hidden (obsolete)
Comment 4 Build Bot 2018-01-01 10:43:45 PST Comment hidden (obsolete)
Comment 5 Build Bot 2018-01-01 10:43:46 PST Comment hidden (obsolete)
Comment 6 Build Bot 2018-01-01 10:57:46 PST Comment hidden (obsolete)
Comment 7 Build Bot 2018-01-01 10:57:47 PST Comment hidden (obsolete)
Comment 8 Build Bot 2018-01-01 11:06:35 PST Comment hidden (obsolete)
Comment 9 Build Bot 2018-01-01 11:06:37 PST Comment hidden (obsolete)
Comment 10 Simon Fraser (smfr) 2018-01-01 12:48:07 PST Comment hidden (obsolete)
Comment 11 Build Bot 2018-01-01 13:45:35 PST Comment hidden (obsolete)
Comment 12 Build Bot 2018-01-01 13:45:37 PST Comment hidden (obsolete)
Comment 13 Build Bot 2018-01-01 13:58:15 PST Comment hidden (obsolete)
Comment 14 Build Bot 2018-01-01 13:58:17 PST Comment hidden (obsolete)
Comment 15 Build Bot 2018-01-01 14:08:56 PST Comment hidden (obsolete)
Comment 16 Build Bot 2018-01-01 14:08:58 PST Comment hidden (obsolete)
Comment 17 Build Bot 2018-01-01 14:14:49 PST Comment hidden (obsolete)
Comment 18 Build Bot 2018-01-01 14:14:50 PST Comment hidden (obsolete)
Comment 19 Simon Fraser (smfr) 2018-01-03 11:42:43 PST
Created attachment 330404 [details]
Patch
Comment 20 WebKit Commit Bot 2018-01-03 13:56:03 PST
Comment on attachment 330404 [details]
Patch

Clearing flags on attachment: 330404

Committed r226373: <https://trac.webkit.org/changeset/226373>
Comment 21 WebKit Commit Bot 2018-01-03 13:56:05 PST
All reviewed patches have been landed.  Closing bug.
Comment 22 Radar WebKit Bug Importer 2018-01-03 13:57:46 PST
<rdar://problem/36283115>